API Documentation

Note: Please read the API intructions carefully. Its your solo responsability what you add by our API.

API Credentials

POST · JSON

API URL

Both /api/v1 and /api/v2 are supported with identical request/response.

API Key

••••••••••••••••••••••••

Code Examples

cURL · PHP · Python

Send every request as POST to the API URL with your key and an action. Parameters can be sent as form data or as a JSON body. Every response is JSON; failed requests return an error field.

Get services list

curl -X POST "https://vnsmm.net/api/v2" \
  -d "key=YOUR_API_KEY" \
  -d "action=services"

Place a new order

curl -X POST "https://vnsmm.net/api/v2" \
  -d "key=YOUR_API_KEY" \
  -d "action=add" \
  -d "service=1" \
  -d "link=https://www.tiktok.com/@username" \
  -d "quantity=1000"

# {"status": "success", "order": 32}

Order status

curl -X POST "https://vnsmm.net/api/v2" \
  -d "key=YOUR_API_KEY" \
  -d "action=status" \
  -d "order=32"

Balance

curl -X POST "https://vnsmm.net/api/v2" \
  -d "key=YOUR_API_KEY" \
  -d "action=balance"

# {"status": "success", "balance": "100.84", "currency": "USD"}

JSON body (also accepted)

curl -X POST "https://vnsmm.net/api/v2" \
  -H "Content-Type: application/json" \
  -d '{"key": "YOUR_API_KEY", "action": "status", "order": 32}'
<?php
function smm_api(array $params)
{
    $ch = curl_init('https://vnsmm.net/api/v2');
    curl_setopt_array($ch, [
        CURLOPT_POST           => true,
        CURLOPT_POSTFIELDS     => http_build_query($params),
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_TIMEOUT        => 30,
    ]);
    $response = curl_exec($ch);
    curl_close($ch);
    return json_decode($response, true);
}

$key = 'YOUR_API_KEY';

// Services list
$services = smm_api(['key' => $key, 'action' => 'services']);

// Place a new order
$order = smm_api([
    'key'      => $key,
    'action'   => 'add',
    'service'  => 1,
    'link'     => 'https://www.tiktok.com/@username',
    'quantity' => 1000,
]);
// ['status' => 'success', 'order' => 32] or ['error' => '...']

// Order status
$status = smm_api(['key' => $key, 'action' => 'status', 'order' => $order['order']]);

// Balance
$balance = smm_api(['key' => $key, 'action' => 'balance']);
echo $balance['balance'] . ' ' . $balance['currency'];
import requests

API_URL = "https://vnsmm.net/api/v2"
API_KEY = "YOUR_API_KEY"


def smm_api(**params):
    params["key"] = API_KEY
    r = requests.post(API_URL, data=params, timeout=30)
    r.raise_for_status()
    return r.json()


# Services list
services = smm_api(action="services")

# Place a new order
order = smm_api(action="add", service=1, link="https://www.tiktok.com/@username", quantity=1000)
# {'status': 'success', 'order': 32} or {'error': '...'}

# Order status
status = smm_api(action="status", order=order["order"])

# Balance
balance = smm_api(action="balance")
print(balance["balance"], balance["currency"])

Requires the requests package (pip install requests).

Place new Order

action: add
ParameterDescription
keyYour API key
actionadd
serviceService ID
linkLink to page
quantityNeeded quantity
runs (optional)Runs to deliver
interval (optional)Interval in minutes
ParameterDescription
keyYour API key
actionadd
serviceService ID
linkLink to page
ParameterDescription
keyYour API key
actionadd
serviceService ID
linkLink to page
commentsComments list separated by \r\n or \n
ParameterDescription
keyYour API key
actionadd
serviceService ID
linkLink to page
quantityNeeded quantity
usernamesUsernames list separated by \r\n or \n
hashtagsHashtags list separated by \r\n or \n
ParameterDescription
keyYour API key
actionadd
serviceService ID
linkLink to page
usernamesUsernames list separated by \r\n or \n
ParameterDescription
keyYour API key
actionadd
serviceService ID
linkLink to page
quantityNeeded quantity
hashtagHashtag to scrape usernames from
ParameterDescription
keyYour API key
actionadd
serviceService ID
linkLink to page
quantityNeeded quantity
usernameURL to scrape followers from
ParameterDescription
keyYour API key
actionadd
serviceService ID
linkLink to page
ParameterDescription
keyYour API key
actionadd
serviceService ID
linkLink to page
commentsComments list separated by \r\n or \n
ParameterDescription
keyYour API key
actionadd
serviceService ID
linkLink to page
quantityNeeded quantity
usernameUsername of the comment owner
ParameterDescription
keyYour API key
actionadd
serviceService ID
usernameUsername
minQuantity min
maxQuantity max
delayDelay in minutes. Possible values: 0, 5, 10, 15, 30, 60, 90
expiry (optional)Expiry date. Format d/m/Y

Example response:

{
  "status": "success",
  "order": 32
}

Status Order

action: status
ParameterDescription
keyYour API key
actionstatus
orderOrder ID

Example response:

{
  "order": "32",
  "status": "pending",
  "charge": "0.0360",
  "start_count": "0",
  "remains": "0",
  "currency": "USD"
}

Multiple orders status

action: status
ParameterDescription
keyYour API key
actionstatus
ordersOrder IDs separated by comma (E.g: 1,2,3) (Limit 100)

Example response:

{
  "12": {
    "order": "12",
    "status": "processing",
    "charge": "1.2600",
    "start_count": "0",
    "remains": "0"
  },
  "2": "Incorrect order ID",
  "13": {
    "order": "13",
    "status": "pending",
    "charge": "0.6300",
    "start_count": "0",
    "remains": "0"
  }
}

Cancel Order

action: cancel
Chỉ huỷ được khi service hỗ trợ huỷ và provider hỗ trợ huỷ. Đơn đã completed, refunded, partial, hoặc canceled sẽ không huỷ được.
ParameterDescription
keyYour API key
actioncancel
orderOrder ID

Example response: — success

{
  "status": "success",
  "message": "Cancel order successfully"
}

Error response

{
  "error": "Service not support cancel"
}

Cancel Multiple Orders

action: cancel
ParameterDescription
keyYour API key
actioncancel
ordersOrder IDs separated by comma (E.g: 123,456,789)

Example response:

[
  { "order": 123, "cancel": { "status": "success" } },
  { "order": 456, "cancel": { "error": "Order status not support cancel" } },
  { "order": 789, "cancel": { "error": "Incorrect order ID" } }
]

Create refill

action: refill
ParameterDescription
keyYour API key
actionrefill
orderOrder ID

Example response:

{
  "refill": "1"
}

Create multiple refill

action: refill
ParameterDescription
keyYour API key
actionrefill
ordersOrder IDs separated by comma (E.g: 123,456,789) (Limit 100)

Example response:

{
  "refill": "1"
}

Refill status

action: refill_status
ParameterDescription
keyYour API key
actionrefill_status
refillRefill ID

Example response:

{
  "status": "Completed"
}

Multiple refill status

action: refill_status
ParameterDescription
keyYour API key
actionrefill_status
refillsRefill IDs separated by comma (E.g: 123,456,789) (Limit 100)

Example response:

[
  { "refill": 1, "status": "Completed" },
  { "refill": 2, "status": "Rejected" },
  { "refill": 3, "status": { "error": "Incorrect refill ID" } }
]

Services Lists

action: services
ParameterDescription
keyYour API key
actionservices

Example response:

[
  {
    "service": "5",
    "name": "Instagram Followers [15K]",
    "category": "Instagram - Followers [Guaranteed/Refill]",
    "rate": "1.0200",
    "min": "500",
    "max": "10000",
    "type": "default",
    "desc": "",
    "dripfeed": false,
    "cancel": true,
    "refill": true,
    "refill_days": 7,
    "status": true
  }
]

Balance

action: balance
ParameterDescription
keyYour API key
actionbalance

Example response:

{
  "status": "success",
  "balance": "0.03",
  "currency": "USD"
}